curl --request GET \
--url https://api.fabric.inc/v3/customers/self/customer-address/{addressId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fabric.inc/v3/customers/self/customer-address/{addressId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fabric.inc/v3/customers/self/customer-address/{addressId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "61604a30fdfacd0009816e44",
"address": {
"type": "BILLING",
"addressLine1": "123 Main St.",
"addressLine2": "Suite 100",
"addressLine3": "Seventh floor",
"addressLine4": "Attention: Pat E. Doe",
"city": "Seattle",
"region": "WA",
"postalCode": 98121,
"county": "King County",
"country": "US",
"latitude": 47.6205,
"longitude": -122.3493
},
"isDeleted": false,
"createdAt": "2023-08-30T23:20:42.822Z",
"updatedAt": "2023-08-30T23:20:42.822Z",
"additionalAttributes": {
"landmark": "Beach"
},
"isDefault": false,
"deletedAt": "2023-08-30T23:20:42.822Z"
}View address - customer context
Using this endpoint, a customer can view their own address through the storefront UI based on the addressId.
Authorizations
The access token.
Headers
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
"517fa9dfd42d8b00g1o3k312"
A UUID of the request.
Path Parameters
A 24-character system-generated ID of the customer's address.
"61a558b1b155125f02be7fb2"
Response
OK
A 24-character system-generated ID of the address.
"61604a30fdfacd0009816e44"
The address details.
Show child attributes
Show child attributes
A flag indicating whether the address is deleted. true indicates the address is deleted and false indicates otherwise.
false
The time when the address was created, in UTC format.
"2023-08-30T23:20:42.822Z"
The time when the address was the last updated, in UTC format.
"2023-08-30T23:20:42.822Z"
A placeholder for additional info, in key-value pairs.
{ "landmark": "Beach" }
A flag indicating whether the address is the default one.true indicates the given address is the default address and false indicates otherwise.
false
The time when the address was deleted, in UTC format.
"2023-08-30T23:20:42.822Z"
Was this page helpful?
